Skip to content
Start here

Stream

resource cloudflare_stream

required Expand Collapse
account_id: String

The account identifier tag.

optional Expand Collapse
identifier?: String

A Cloudflare-generated unique identifier for a media item.

creator?: String

A user-defined identifier for the media creator.

max_duration_seconds?: Int64

The maximum duration in seconds for a video upload. Can be set for a video that is not yet uploaded to limit its duration. Uploads that exceed the specified duration will fail during processing. A value of -1 means the value is unknown.

scheduled_deletion?: Time

Indicates the date and time at which the video will be deleted. Omit the field to indicate no change, or include with a null value to remove an existing scheduled deletion. If specified, must be at least 30 days from upload time.

upload_expiry?: Time

The date and time when the video upload URL is no longer valid for direct user uploads.

allowed_origins?: List[String]

Lists the origins allowed to display the video. Enter allowed origin domains in an array and use * for wildcard subdomains. Empty arrays allow the video to be viewed on any origin.

meta?: JSON

A user modifiable key-value store used to reference other systems of record for managing videos.

require_signed_urls?: Bool

Indicates whether the video can be a accessed using the UID. When set to true, a signed token must be generated with a signing key to view the video.

thumbnail_timestamp_pct?: Float64

The timestamp for a thumbnail image calculated as a percentage value of the video's duration. To convert from a second-wise timestamp to a percentage, divide the desired timestamp by the total duration of the video. If this value is not set, the default thumbnail image is taken from 0s of the video.

computed Expand Collapse
created: Time

The date and time the media item was created.

duration: Float64

The duration of the video in seconds. A value of -1 means the duration is unknown. The duration becomes available after the upload and before the video is ready.

live_input: String

The live input ID used to upload a video with Stream Live.

modified: Time

The date and time the media item was last modified.

preview: String

The video's preview page URI. This field is omitted until encoding is complete.

ready_to_stream: Bool

Indicates whether the video is playable. The field is empty if the video is not ready for viewing or the live stream is still in progress.

ready_to_stream_at: Time

Indicates the time at which the video became playable. The field is empty if the video is not ready for viewing or the live stream is still in progress.

size: Float64

The size of the media item in bytes.

thumbnail: String

The media item's thumbnail URI. This field is omitted until encoding is complete.

uid: String

A Cloudflare-generated unique identifier for a media item.

uploaded: Time

The date and time the media item was uploaded.

input: Attributes
height: Int64

The video height in pixels. A value of -1 means the height is unknown. The value becomes available after the upload and before the video is ready.

width: Int64

The video width in pixels. A value of -1 means the width is unknown. The value becomes available after the upload and before the video is ready.

playback: Attributes
dash: String

DASH Media Presentation Description for the video.

hls: String

The HLS manifest for the video.

status: Attributes

Specifies a detailed status for a video. If the state is inprogress or error, the step field returns encoding or manifest. If the state is inprogress, pctComplete returns a number between 0 and 100 to indicate the approximate percent of completion. If the state is error, errorReasonCode and errorReasonText provide additional details.

error_reason_code: String

Specifies why the video failed to encode. This field is empty if the video is not in an error state. Preferred for programmatic use.

error_reason_text: String

Specifies why the video failed to encode using a human readable error message in English. This field is empty if the video is not in an error state.

pct_complete: String

Indicates the progress as a percentage between 0 and 100.

state: String

Specifies the processing status for all quality levels for a video.

watermark: Attributes
created: Time

The date and a time a watermark profile was created.

downloaded_from: String

The source URL for a downloaded image. If the watermark profile was created via direct upload, this field is null.

height: Int64

The height of the image in pixels.

name: String

A short description of the watermark profile.

opacity: Float64

The translucency of the image. A value of 0.0 makes the image completely transparent, and 1.0 makes the image completely opaque. Note that if the image is already semi-transparent, setting this to 1.0 will not make the image completely opaque.

padding: Float64

The whitespace between the adjacent edges (determined by position) of the video and the image. 0.0 indicates no padding, and 1.0 indicates a fully padded video width or length, as determined by the algorithm.

position: String

The location of the image. Valid positions are: upperRight, upperLeft, lowerLeft, lowerRight, and center. Note that center ignores the padding parameter.

scale: Float64

The size of the image relative to the overall size of the video. This parameter will adapt to horizontal and vertical videos automatically. 0.0 indicates no scaling (use the size of the image as-is), and 1.0 fills the entire video.

size: Float64

The size of the image in bytes.

uid: String

The unique identifier for a watermark profile.

width: Int64

The width of the image in pixels.

cloudflare_stream

resource "cloudflare_stream" "example_stream" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
}

data cloudflare_stream

required Expand Collapse
account_id: String

The account identifier tag.

identifier: String

A Cloudflare-generated unique identifier for a media item.

computed Expand Collapse
created: Time

The date and time the media item was created.

creator: String

A user-defined identifier for the media creator.

duration: Float64

The duration of the video in seconds. A value of -1 means the duration is unknown. The duration becomes available after the upload and before the video is ready.

live_input: String

The live input ID used to upload a video with Stream Live.

max_duration_seconds: Int64

The maximum duration in seconds for a video upload. Can be set for a video that is not yet uploaded to limit its duration. Uploads that exceed the specified duration will fail during processing. A value of -1 means the value is unknown.

modified: Time

The date and time the media item was last modified.

preview: String

The video's preview page URI. This field is omitted until encoding is complete.

ready_to_stream: Bool

Indicates whether the video is playable. The field is empty if the video is not ready for viewing or the live stream is still in progress.

ready_to_stream_at: Time

Indicates the time at which the video became playable. The field is empty if the video is not ready for viewing or the live stream is still in progress.

require_signed_urls: Bool

Indicates whether the video can be a accessed using the UID. When set to true, a signed token must be generated with a signing key to view the video.

scheduled_deletion: Time

Indicates the date and time at which the video will be deleted. Omit the field to indicate no change, or include with a null value to remove an existing scheduled deletion. If specified, must be at least 30 days from upload time.

size: Float64

The size of the media item in bytes.

thumbnail: String

The media item's thumbnail URI. This field is omitted until encoding is complete.

thumbnail_timestamp_pct: Float64

The timestamp for a thumbnail image calculated as a percentage value of the video's duration. To convert from a second-wise timestamp to a percentage, divide the desired timestamp by the total duration of the video. If this value is not set, the default thumbnail image is taken from 0s of the video.

uid: String

A Cloudflare-generated unique identifier for a media item.

upload_expiry: Time

The date and time when the video upload URL is no longer valid for direct user uploads.

uploaded: Time

The date and time the media item was uploaded.

allowed_origins: List[String]

Lists the origins allowed to display the video. Enter allowed origin domains in an array and use * for wildcard subdomains. Empty arrays allow the video to be viewed on any origin.

input: Attributes
height: Int64

The video height in pixels. A value of -1 means the height is unknown. The value becomes available after the upload and before the video is ready.

width: Int64

The video width in pixels. A value of -1 means the width is unknown. The value becomes available after the upload and before the video is ready.

playback: Attributes
dash: String

DASH Media Presentation Description for the video.

hls: String

The HLS manifest for the video.

status: Attributes

Specifies a detailed status for a video. If the state is inprogress or error, the step field returns encoding or manifest. If the state is inprogress, pctComplete returns a number between 0 and 100 to indicate the approximate percent of completion. If the state is error, errorReasonCode and errorReasonText provide additional details.

error_reason_code: String

Specifies why the video failed to encode. This field is empty if the video is not in an error state. Preferred for programmatic use.

error_reason_text: String

Specifies why the video failed to encode using a human readable error message in English. This field is empty if the video is not in an error state.

pct_complete: String

Indicates the progress as a percentage between 0 and 100.

state: String

Specifies the processing status for all quality levels for a video.

watermark: Attributes
created: Time

The date and a time a watermark profile was created.

downloaded_from: String

The source URL for a downloaded image. If the watermark profile was created via direct upload, this field is null.

height: Int64

The height of the image in pixels.

name: String

A short description of the watermark profile.

opacity: Float64

The translucency of the image. A value of 0.0 makes the image completely transparent, and 1.0 makes the image completely opaque. Note that if the image is already semi-transparent, setting this to 1.0 will not make the image completely opaque.

padding: Float64

The whitespace between the adjacent edges (determined by position) of the video and the image. 0.0 indicates no padding, and 1.0 indicates a fully padded video width or length, as determined by the algorithm.

position: String

The location of the image. Valid positions are: upperRight, upperLeft, lowerLeft, lowerRight, and center. Note that center ignores the padding parameter.

scale: Float64

The size of the image relative to the overall size of the video. This parameter will adapt to horizontal and vertical videos automatically. 0.0 indicates no scaling (use the size of the image as-is), and 1.0 fills the entire video.

size: Float64

The size of the image in bytes.

uid: String

The unique identifier for a watermark profile.

width: Int64

The width of the image in pixels.

meta: JSON

A user modifiable key-value store used to reference other systems of record for managing videos.

cloudflare_stream

data "cloudflare_stream" "example_stream" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  identifier = "ea95132c15732412d22c1476fa83f27a"
}

data cloudflare_streams

required Expand Collapse
account_id: String

The account identifier tag.

optional Expand Collapse
creator?: String

A user-defined identifier for the media creator.

end?: Time

Lists videos created before the specified date.

start?: Time

Lists videos created after the specified date.

status?: String

Specifies the processing status for all quality levels for a video.

type?: String

Specifies whether the video is vod or live.

video_name?: String

Provides a fast, exact string match on the name key in the meta field.

asc?: Bool

Lists videos in ascending order of creation.

include_counts?: Bool

Includes the total number of videos associated with the submitted query parameters.

max_items?: Int64

Max items to fetch, default: 1000

computed Expand Collapse
result: List[Attributes]

The items returned by the data source

allowed_origins: List[String]

Lists the origins allowed to display the video. Enter allowed origin domains in an array and use * for wildcard subdomains. Empty arrays allow the video to be viewed on any origin.

created: Time

The date and time the media item was created.

creator: String

A user-defined identifier for the media creator.

duration: Float64

The duration of the video in seconds. A value of -1 means the duration is unknown. The duration becomes available after the upload and before the video is ready.

input: Attributes
height: Int64

The video height in pixels. A value of -1 means the height is unknown. The value becomes available after the upload and before the video is ready.

width: Int64

The video width in pixels. A value of -1 means the width is unknown. The value becomes available after the upload and before the video is ready.

live_input: String

The live input ID used to upload a video with Stream Live.

max_duration_seconds: Int64

The maximum duration in seconds for a video upload. Can be set for a video that is not yet uploaded to limit its duration. Uploads that exceed the specified duration will fail during processing. A value of -1 means the value is unknown.

meta: JSON

A user modifiable key-value store used to reference other systems of record for managing videos.

modified: Time

The date and time the media item was last modified.

playback: Attributes
dash: String

DASH Media Presentation Description for the video.

hls: String

The HLS manifest for the video.

preview: String

The video's preview page URI. This field is omitted until encoding is complete.

ready_to_stream: Bool

Indicates whether the video is playable. The field is empty if the video is not ready for viewing or the live stream is still in progress.

ready_to_stream_at: Time

Indicates the time at which the video became playable. The field is empty if the video is not ready for viewing or the live stream is still in progress.

require_signed_urls: Bool

Indicates whether the video can be a accessed using the UID. When set to true, a signed token must be generated with a signing key to view the video.

scheduled_deletion: Time

Indicates the date and time at which the video will be deleted. Omit the field to indicate no change, or include with a null value to remove an existing scheduled deletion. If specified, must be at least 30 days from upload time.

size: Float64

The size of the media item in bytes.

status: Attributes

Specifies a detailed status for a video. If the state is inprogress or error, the step field returns encoding or manifest. If the state is inprogress, pctComplete returns a number between 0 and 100 to indicate the approximate percent of completion. If the state is error, errorReasonCode and errorReasonText provide additional details.

error_reason_code: String

Specifies why the video failed to encode. This field is empty if the video is not in an error state. Preferred for programmatic use.

error_reason_text: String

Specifies why the video failed to encode using a human readable error message in English. This field is empty if the video is not in an error state.

pct_complete: String

Indicates the progress as a percentage between 0 and 100.

state: String

Specifies the processing status for all quality levels for a video.

thumbnail: String

The media item's thumbnail URI. This field is omitted until encoding is complete.

thumbnail_timestamp_pct: Float64

The timestamp for a thumbnail image calculated as a percentage value of the video's duration. To convert from a second-wise timestamp to a percentage, divide the desired timestamp by the total duration of the video. If this value is not set, the default thumbnail image is taken from 0s of the video.

uid: String

A Cloudflare-generated unique identifier for a media item.

uploaded: Time

The date and time the media item was uploaded.

upload_expiry: Time

The date and time when the video upload URL is no longer valid for direct user uploads.

watermark: Attributes
created: Time

The date and a time a watermark profile was created.

downloaded_from: String

The source URL for a downloaded image. If the watermark profile was created via direct upload, this field is null.

height: Int64

The height of the image in pixels.

name: String

A short description of the watermark profile.

opacity: Float64

The translucency of the image. A value of 0.0 makes the image completely transparent, and 1.0 makes the image completely opaque. Note that if the image is already semi-transparent, setting this to 1.0 will not make the image completely opaque.

padding: Float64

The whitespace between the adjacent edges (determined by position) of the video and the image. 0.0 indicates no padding, and 1.0 indicates a fully padded video width or length, as determined by the algorithm.

position: String

The location of the image. Valid positions are: upperRight, upperLeft, lowerLeft, lowerRight, and center. Note that center ignores the padding parameter.

scale: Float64

The size of the image relative to the overall size of the video. This parameter will adapt to horizontal and vertical videos automatically. 0.0 indicates no scaling (use the size of the image as-is), and 1.0 fills the entire video.

size: Float64

The size of the image in bytes.

uid: String

The unique identifier for a watermark profile.

width: Int64

The width of the image in pixels.

cloudflare_streams

data "cloudflare_streams" "example_streams" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  creator = "creator-id_abcde12345"
  end = "2014-01-02T02:20:00Z"
  search = "puppy.mp4"
  start = "2014-01-02T02:20:00Z"
  status = "inprogress"
  type = "live"
  video_name = "puppy.mp4"
}

StreamAudio Tracks

resource cloudflare_stream_audio_track

required Expand Collapse
account_id: String

The account identifier tag.

identifier: String

A Cloudflare-generated unique identifier for a media item.

optional Expand Collapse
audio_identifier?: String

The unique identifier for an additional audio track.

label?: String

A string to uniquely identify the track amongst other audio track labels for the specified video.

default?: Bool

Denotes whether the audio track will be played by default in a player.

computed Expand Collapse
status: String

Specifies the processing status of the video.

uid: String

A Cloudflare-generated unique identifier for a media item.

cloudflare_stream_audio_track

resource "cloudflare_stream_audio_track" "example_stream_audio_track" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  identifier = "ea95132c15732412d22c1476fa83f27a"
  audio_identifier = "ea95132c15732412d22c1476fa83f27a"
  default = true
  label = "director commentary"
}

data cloudflare_stream_audio_track

required Expand Collapse
account_id: String

The account identifier tag.

identifier: String

A Cloudflare-generated unique identifier for a media item.

computed Expand Collapse
default: Bool

Denotes whether the audio track will be played by default in a player.

label: String

A string to uniquely identify the track amongst other audio track labels for the specified video.

status: String

Specifies the processing status of the video.

uid: String

A Cloudflare-generated unique identifier for a media item.

cloudflare_stream_audio_track

data "cloudflare_stream_audio_track" "example_stream_audio_track" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  identifier = "ea95132c15732412d22c1476fa83f27a"
}

StreamKeys

resource cloudflare_stream_key

required Expand Collapse
account_id: String

Identifier.

computed Expand Collapse
id: String

Identifier.

created: Time

The date and time a signing key was created.

jwk: String

The signing key in JWK format.

pem: String

The signing key in PEM format.

cloudflare_stream_key

resource "cloudflare_stream_key" "example_stream_key" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
}

data cloudflare_stream_key

required Expand Collapse
account_id: String

Identifier.

computed Expand Collapse
id: String

Identifier.

created: Time

The date and time a signing key was created.

cloudflare_stream_key

data "cloudflare_stream_key" "example_stream_key" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
}

StreamLive Inputs

resource cloudflare_stream_live_input

required Expand Collapse
account_id: String

Identifier.

optional Expand Collapse
live_input_identifier?: String

A unique identifier for a live input.

default_creator?: String

Sets the creator ID asssociated with this live input.

delete_recording_after_days?: Float64

Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a null value to remove an existing scheduled deletion.

meta?: JSON

A user modifiable key-value store used to reference other systems of record for managing live inputs.

enabled?: Bool

Indicates whether the live input is enabled and can accept streams.

recording?: Attributes

Records the input to a Cloudflare Stream video. Behavior depends on the mode. In most cases, the video will initially be viewable as a live video and transition to on-demand after a condition is satisfied.

allowed_origins?: List[String]

Lists the origins allowed to display videos created with this input. Enter allowed origin domains in an array and use * for wildcard subdomains. An empty array allows videos to be viewed on any origin.

hide_live_viewer_count?: Bool

Disables reporting the number of live viewers when this property is set to true.

mode?: String

Specifies the recording behavior for the live input. Set this value to off to prevent a recording. Set the value to automatic to begin a recording and transition to on-demand after Stream Live stops receiving input.

require_signed_urls?: Bool

Indicates if a video using the live input has the requireSignedURLs property set. Also enforces access controls on any video recording of the livestream with the live input.

timeout_seconds?: Int64

Determines the amount of time a live input configured in automatic mode should wait before a recording transitions from live to on-demand. 0 is recommended for most use cases and indicates the platform default should be used.

computed Expand Collapse
created: Time

The date and time the live input was created.

modified: Time

The date and time the live input was last modified.

status: String

The connection status of a live input.

uid: String

A unique identifier for a live input.

rtmps: Attributes

Details for streaming to an live input using RTMPS.

stream_key: String

The secret key to use when streaming via RTMPS to a live input.

url: String

The RTMPS URL you provide to the broadcaster, which they stream live video to.

rtmps_playback: Attributes

Details for playback from an live input using RTMPS.

stream_key: String

The secret key to use for playback via RTMPS.

url: String

The URL used to play live video over RTMPS.

srt: Attributes

Details for streaming to a live input using SRT.

passphrase: String

The secret key to use when streaming via SRT to a live input.

stream_id: String

The identifier of the live input to use when streaming via SRT.

url: String

The SRT URL you provide to the broadcaster, which they stream live video to.

srt_playback: Attributes

Details for playback from an live input using SRT.

passphrase: String

The secret key to use for playback via SRT.

stream_id: String

The identifier of the live input to use for playback via SRT.

url: String

The URL used to play live video over SRT.

web_rtc: Attributes

Details for streaming to a live input using WebRTC.

url: String

The WebRTC URL you provide to the broadcaster, which they stream live video to.

web_rtc_playback: Attributes

Details for playback from a live input using WebRTC.

url: String

The URL used to play live video over WebRTC.

cloudflare_stream_live_input

resource "cloudflare_stream_live_input" "example_stream_live_input" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  default_creator = "defaultCreator"
  delete_recording_after_days = 45
  enabled = true
  meta = {
    name = "test stream 1"
  }
  recording = {
    allowed_origins = ["example.com"]
    hide_live_viewer_count = false
    mode = "off"
    require_signed_urls = false
    timeout_seconds = 0
  }
}

data cloudflare_stream_live_input

required Expand Collapse
account_id: String

Identifier.

live_input_identifier: String

A unique identifier for a live input.

computed Expand Collapse
created: Time

The date and time the live input was created.

delete_recording_after_days: Float64

Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a null value to remove an existing scheduled deletion.

enabled: Bool

Indicates whether the live input is enabled and can accept streams.

modified: Time

The date and time the live input was last modified.

status: String

The connection status of a live input.

uid: String

A unique identifier for a live input.

recording: Attributes

Records the input to a Cloudflare Stream video. Behavior depends on the mode. In most cases, the video will initially be viewable as a live video and transition to on-demand after a condition is satisfied.

allowed_origins: List[String]

Lists the origins allowed to display videos created with this input. Enter allowed origin domains in an array and use * for wildcard subdomains. An empty array allows videos to be viewed on any origin.

hide_live_viewer_count: Bool

Disables reporting the number of live viewers when this property is set to true.

mode: String

Specifies the recording behavior for the live input. Set this value to off to prevent a recording. Set the value to automatic to begin a recording and transition to on-demand after Stream Live stops receiving input.

require_signed_urls: Bool

Indicates if a video using the live input has the requireSignedURLs property set. Also enforces access controls on any video recording of the livestream with the live input.

timeout_seconds: Int64

Determines the amount of time a live input configured in automatic mode should wait before a recording transitions from live to on-demand. 0 is recommended for most use cases and indicates the platform default should be used.

rtmps: Attributes

Details for streaming to an live input using RTMPS.

stream_key: String

The secret key to use when streaming via RTMPS to a live input.

url: String

The RTMPS URL you provide to the broadcaster, which they stream live video to.

rtmps_playback: Attributes

Details for playback from an live input using RTMPS.

stream_key: String

The secret key to use for playback via RTMPS.

url: String

The URL used to play live video over RTMPS.

srt: Attributes

Details for streaming to a live input using SRT.

passphrase: String

The secret key to use when streaming via SRT to a live input.

stream_id: String

The identifier of the live input to use when streaming via SRT.

url: String

The SRT URL you provide to the broadcaster, which they stream live video to.

srt_playback: Attributes

Details for playback from an live input using SRT.

passphrase: String

The secret key to use for playback via SRT.

stream_id: String

The identifier of the live input to use for playback via SRT.

url: String

The URL used to play live video over SRT.

web_rtc: Attributes

Details for streaming to a live input using WebRTC.

url: String

The WebRTC URL you provide to the broadcaster, which they stream live video to.

web_rtc_playback: Attributes

Details for playback from a live input using WebRTC.

url: String

The URL used to play live video over WebRTC.

meta: JSON

A user modifiable key-value store used to reference other systems of record for managing live inputs.

cloudflare_stream_live_input

data "cloudflare_stream_live_input" "example_stream_live_input" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  live_input_identifier = "66be4bf738797e01e1fca35a7bdecdcd"
}

StreamWatermarks

resource cloudflare_stream_watermark

required Expand Collapse
account_id: String

The account identifier tag.

file: String

The image file to upload.

optional Expand Collapse
identifier?: String

The unique identifier for a watermark profile.

name?: String

A short description of the watermark profile.

opacity?: Float64

The translucency of the image. A value of 0.0 makes the image completely transparent, and 1.0 makes the image completely opaque. Note that if the image is already semi-transparent, setting this to 1.0 will not make the image completely opaque.

padding?: Float64

The whitespace between the adjacent edges (determined by position) of the video and the image. 0.0 indicates no padding, and 1.0 indicates a fully padded video width or length, as determined by the algorithm.

position?: String

The location of the image. Valid positions are: upperRight, upperLeft, lowerLeft, lowerRight, and center. Note that center ignores the padding parameter.

scale?: Float64

The size of the image relative to the overall size of the video. This parameter will adapt to horizontal and vertical videos automatically. 0.0 indicates no scaling (use the size of the image as-is), and 1.0 fills the entire video.

computed Expand Collapse
created: Time

The date and a time a watermark profile was created.

downloaded_from: String

The source URL for a downloaded image. If the watermark profile was created via direct upload, this field is null.

height: Int64

The height of the image in pixels.

size: Float64

The size of the image in bytes.

uid: String

The unique identifier for a watermark profile.

width: Int64

The width of the image in pixels.

cloudflare_stream_watermark

resource "cloudflare_stream_watermark" "example_stream_watermark" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  file = "@/Users/rchen/Downloads/watermark.png"
  name = "Marketing Videos"
  opacity = 0.75
  padding = 0.1
  position = "center"
  scale = 0.1
}

data cloudflare_stream_watermark

required Expand Collapse
account_id: String

The account identifier tag.

identifier: String

The unique identifier for a watermark profile.

computed Expand Collapse
created: Time

The date and a time a watermark profile was created.

downloaded_from: String

The source URL for a downloaded image. If the watermark profile was created via direct upload, this field is null.

height: Int64

The height of the image in pixels.

name: String

A short description of the watermark profile.

opacity: Float64

The translucency of the image. A value of 0.0 makes the image completely transparent, and 1.0 makes the image completely opaque. Note that if the image is already semi-transparent, setting this to 1.0 will not make the image completely opaque.

padding: Float64

The whitespace between the adjacent edges (determined by position) of the video and the image. 0.0 indicates no padding, and 1.0 indicates a fully padded video width or length, as determined by the algorithm.

position: String

The location of the image. Valid positions are: upperRight, upperLeft, lowerLeft, lowerRight, and center. Note that center ignores the padding parameter.

scale: Float64

The size of the image relative to the overall size of the video. This parameter will adapt to horizontal and vertical videos automatically. 0.0 indicates no scaling (use the size of the image as-is), and 1.0 fills the entire video.

size: Float64

The size of the image in bytes.

uid: String

The unique identifier for a watermark profile.

width: Int64

The width of the image in pixels.

cloudflare_stream_watermark

data "cloudflare_stream_watermark" "example_stream_watermark" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  identifier = "ea95132c15732412d22c1476fa83f27a"
}

data cloudflare_stream_watermarks

required Expand Collapse
account_id: String

The account identifier tag.

optional Expand Collapse
max_items?: Int64

Max items to fetch, default: 1000

computed Expand Collapse
result: List[Attributes]

The items returned by the data source

created: Time

The date and a time a watermark profile was created.

downloaded_from: String

The source URL for a downloaded image. If the watermark profile was created via direct upload, this field is null.

height: Int64

The height of the image in pixels.

name: String

A short description of the watermark profile.

opacity: Float64

The translucency of the image. A value of 0.0 makes the image completely transparent, and 1.0 makes the image completely opaque. Note that if the image is already semi-transparent, setting this to 1.0 will not make the image completely opaque.

padding: Float64

The whitespace between the adjacent edges (determined by position) of the video and the image. 0.0 indicates no padding, and 1.0 indicates a fully padded video width or length, as determined by the algorithm.

position: String

The location of the image. Valid positions are: upperRight, upperLeft, lowerLeft, lowerRight, and center. Note that center ignores the padding parameter.

scale: Float64

The size of the image relative to the overall size of the video. This parameter will adapt to horizontal and vertical videos automatically. 0.0 indicates no scaling (use the size of the image as-is), and 1.0 fills the entire video.

size: Float64

The size of the image in bytes.

uid: String

The unique identifier for a watermark profile.

width: Int64

The width of the image in pixels.

cloudflare_stream_watermarks

data "cloudflare_stream_watermarks" "example_stream_watermarks" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
}

StreamWebhooks

resource cloudflare_stream_webhook

required Expand Collapse
account_id: String

The account identifier tag.

notification_url: String

The URL where webhooks will be sent.

cloudflare_stream_webhook

resource "cloudflare_stream_webhook" "example_stream_webhook" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  notification_url = "https://example.com"
}

data cloudflare_stream_webhook

required Expand Collapse
account_id: String

The account identifier tag.

cloudflare_stream_webhook

data "cloudflare_stream_webhook" "example_stream_webhook" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
}

StreamCaptionsLanguage

resource cloudflare_stream_caption_language

required Expand Collapse
account_id: String

Identifier.

identifier: String

A Cloudflare-generated unique identifier for a media item.

language: String

The language tag in BCP 47 format.

optional Expand Collapse
file?: String

The WebVTT file containing the caption or subtitle content.

computed Expand Collapse
generated: Bool

Whether the caption was generated via AI.

label: String

The language label displayed in the native language to users.

status: String

The status of a generated caption.

cloudflare_stream_caption_language

resource "cloudflare_stream_caption_language" "example_stream_caption_language" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  identifier = "ea95132c15732412d22c1476fa83f27a"
  language = "tr"
}

data cloudflare_stream_caption_language

required Expand Collapse
account_id: String

Identifier.

identifier: String

A Cloudflare-generated unique identifier for a media item.

language: String

The language tag in BCP 47 format.

computed Expand Collapse
generated: Bool

Whether the caption was generated via AI.

label: String

The language label displayed in the native language to users.

status: String

The status of a generated caption.

cloudflare_stream_caption_language

data "cloudflare_stream_caption_language" "example_stream_caption_language" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  identifier = "ea95132c15732412d22c1476fa83f27a"
  language = "tr"
}

StreamDownloads

resource cloudflare_stream_download

required Expand Collapse
account_id: String

Identifier.

identifier: String

A Cloudflare-generated unique identifier for a media item.

computed Expand Collapse
percent_complete: Float64

Indicates the progress as a percentage between 0 and 100.

status: String

The status of a generated download.

url: String

The URL to access the generated download.

audio: Attributes

The audio-only download. Only present if this download type has been created.

percent_complete: Float64

Indicates the progress as a percentage between 0 and 100.

status: String

The status of a generated download.

url: String

The URL to access the generated download.

default: Attributes

The default video download. Only present if this download type has been created.

percent_complete: Float64

Indicates the progress as a percentage between 0 and 100.

status: String

The status of a generated download.

url: String

The URL to access the generated download.

cloudflare_stream_download

resource "cloudflare_stream_download" "example_stream_download" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  identifier = "ea95132c15732412d22c1476fa83f27a"
}

data cloudflare_stream_download

required Expand Collapse
account_id: String

Identifier.

identifier: String

A Cloudflare-generated unique identifier for a media item.

computed Expand Collapse
audio: Attributes

The audio-only download. Only present if this download type has been created.

percent_complete: Float64

Indicates the progress as a percentage between 0 and 100.

status: String

The status of a generated download.

url: String

The URL to access the generated download.

default: Attributes

The default video download. Only present if this download type has been created.

percent_complete: Float64

Indicates the progress as a percentage between 0 and 100.

status: String

The status of a generated download.

url: String

The URL to access the generated download.

cloudflare_stream_download

data "cloudflare_stream_download" "example_stream_download" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  identifier = "ea95132c15732412d22c1476fa83f27a"
}